Package org.eclipse.e4.ui.workbench

## Interface UIEvents.Contribution

Enclosing class:
  UIEvents

    public static interface UIEvents.Contribution

### Field Summary

Fields
`static String` `CONTRIBUTIONURI`
`static String` `OBJECT`
`static String` `TOPIC` Deprecated.
`static String` `TOPIC_ALL`
`static String` `TOPIC_CONTRIBUTIONURI`
`static String` `TOPIC_OBJECT`

### Field Detail

#### TOPIC

    @Deprecated
    static final String TOPIC

Deprecated.

See Also:
  Constant Field Values

#### TOPIC_ALL

    static final String TOPIC_ALL

See Also:
  Constant Field Values

#### TOPIC_CONTRIBUTIONURI

    static final String TOPIC_CONTRIBUTIONURI

See Also:
  Constant Field Values

#### TOPIC_OBJECT

    static final String TOPIC_OBJECT

See Also:
  Constant Field Values

#### CONTRIBUTIONURI

    static final String CONTRIBUTIONURI

See Also:
  Constant Field Values

#### OBJECT

    static final String OBJECT

See Also:
  Constant Field Values